/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package simplecommand;
import java.util.*;
/**
 *
 * @author lynchcs
 */
public class CharacterCommandManager {
  Character character;
  List<ICharacterCommand> commands = new ArrayList();
  
  public CharacterCommandManager(Character character) {
    this.character = character;  
  }
  
  public void add(ICharacterCommand command) {
    if(commands != null) {
      commands.add(command);
    }    
  }
  
  public void execute() {
    for(ICharacterCommand command : commands) {
      if(command != null) {
        command.execute(character);
      }
    }
  }
  
}
